openSUSE Security Update: Security update for mariadb
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:2617-1
Rating:             important
References:         #1182739 #1183770 #1185868 #1185870 #1185872 
                    #1188300 
Cross-References:   CVE-2021-2154 CVE-2021-2166 CVE-2021-2180
                    CVE-2021-27928
CVSS scores:
                    CVE-2021-2154 (NVD) : 4.9 CVSS:3.1/AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
                    CVE-2021-2154 (SUSE): 4.9 CVSS:3.1/AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
                    CVE-2021-2166 (NVD) : 4.9 CVSS:3.1/AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
                    CVE-2021-2166 (SUSE): 4.9 CVSS:3.1/AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
                    CVE-2021-2180 (NVD) : 4.9 CVSS:3.1/AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
                    CVE-2021-2180 (SUSE): 4.9 CVSS:3.1/AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
                    CVE-2021-27928 (NVD) : 7.2 CVSS:3.1/AV:N/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H
                    CVE-2021-27928 (SUSE): 7.2 CVSS:3.1/AV:N/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H

Affected Products:
                    openSUSE Leap 15.3
______________________________________________________________________________

   An update that solves four vulnerabilities and has two
   fixes is now available.

Description:

   This update for mariadb fixes the following issues:

   - Update to 10.2.39 (bsc#1182739)
   - CVE-2021-2166: DML unspecified vulnerability lead to complete DOS.
     (bsc#1185870)
   - CVE-2021-2154: DML unspecified vulnerability can lead to complete DOS.
     (bsc#1185872)
   - CVE-2021-2180: InnoDB unspecified vulnerability lead to complete DOS.
     (bsc#1185868)
   - CVE-2021-27928: Fixed a remote code execution issue. (bsc#1183770)


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-SLE-15.3-2021-2617=1



Package List:

   - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):

      libmysqld-devel-10.2.39-3.40.1
      libmysqld19-10.2.39-3.40.1
      libmysqld19-debuginfo-10.2.39-3.40.1


References:

   https://www.suse.com/security/cve/CVE-2021-2154.html
   https://www.suse.com/security/cve/CVE-2021-2166.html
   https://www.suse.com/security/cve/CVE-2021-2180.html
   https://www.suse.com/security/cve/CVE-2021-27928.html
   https://bugzilla.suse.com/1182739
   https://bugzilla.suse.com/1183770
   https://bugzilla.suse.com/1185868
   https://bugzilla.suse.com/1185870
   https://bugzilla.suse.com/1185872
   https://bugzilla.suse.com/1188300